server:
  port: 8088
  servlet:
    context-path: /erp-api

spring:
  profiles:
    active: dev

  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher

  servlet:
    multipart:
      max-file-size: 1024MB
      max-request-size: 100MB

  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
    default-property-inclusion: always

logging:
  config: classpath:logback-spring.xml

mybatis-plus:
  mapper-locations: classpath*:/mapper_xml/**/*.xml
  type-aliases-package: com.wansenai.entities
  global-config:
    id-type: 0
    #刷新mapper 调试神器
    refresh-mapper: true
  configuration:
    # log-impl: org.apache.ibatis.logging.nologging.NoLoggingImpl
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

# doc
knife4j:
  enable: true
  basic:
    enable: true
    username: admin
    password: admin
  setting:
    language: zh_cn


springdoc:
  swagger-ui:
    path: /swagger-ui.html
    tags-sorter: alpha
    operations-sorter: alpha
  api-docs:
    path: /v3/api-docs
  group-configs:
    - group: '用户模块'
      paths-to-match: '/**'
      packages-to-scan: com.wansenai.api.user
    - group: '会员模块'
      paths-to-match: '/**'
      packages-to-scan: com.wansenai.api.basic
    - group: '档案模块'
      paths-to-match: '/**'
      packages-to-scan: com.wansenai.api.support
    - group: '商店模块'
      paths-to-match: '/**'
      packages-to-scan: com.wansenai.api.shop
    - group: '库存账模块'
      paths-to-match: '/**'
      packages-to-scan: com.wansenai.api.stock

